# Default configuration overrides for Influxdb 2.0
# To see all available options, use the following command:
#    INFLUXD_CONFIG_PATH=/etc/influxdb2/config.yaml influxd print-config

# No reporting by default
reporting-disable: true

# Avoid OOM, adjust according to your HW specs
# By default it can easily exhaust RAM, so play it safe by default

# Reduce number of concurrently running queries
query-concurrency: 32
query-queue-size: 256
# Maximum memory for all queries - 512M
query-max-memory-bytes: 17179869184
# Maximum memory per query - 64M
query-memory-bytes: 536870912

# Allow to move storage to different directory

# Metadata
# bolt-path: /var/lib/influxdb/.influxdbv2/influxd.bolt
# Time series data
# engine-path: /var/lib/influxdb/.influxdbv2/engine